import { Implementation } from 'src/models/implementation-model'
import { Pattern } from 'src/models/pattern-model'

export const patterns: Pattern[] = [
  {
    id: '1',
    title: 'API Gateway',
    description:
      'El patrón de Gateway API actúa como un punto de entrada para las solicitudes de clientes y enruta esas solicitudes a los servicios adecuados en la arquitectura de microservicios. Proporciona una capa de abstracción que oculta la complejidad de la arquitectura subyacente de microservicios al cliente, y también puede proporcionar funciones como autenticación, autorización, y equilibrio de carga.',
    numberOfImplementations: 3,
  },
  {
    id: '2',
    title: 'Orquestación de Microservicios',
    description:
      'Este patrón implica la coordinación de múltiples microservicios para llevar a cabo una tarea empresarial compleja. Puede ser implementado utilizando herramientas de orquestación como Kubernetes, Docker Swarm o Apache Mesos, que gestionan la implementación, escalado y administración de los microservicios. La orquestación de microservicios es fundamental para garantizar que los servicios trabajen juntos de manera cohesiva y coordinada.',
    numberOfImplementations: 2,
  },
  {
    id: '3',
    title: 'Service Discovery',
    description:
      'En una arquitectura de microservicios dinámica, los servicios pueden aparecer y desaparecer debido a la escalabilidad automática o a la falla de instancias. El patrón de autodescubrimiento permite que los servicios descubran dinámicamente la ubicación (por ejemplo, la dirección IP y el puerto) de otros servicios con los que necesitan comunicarse, lo que facilita la resiliencia y la adaptabilidad en un entorno de microservicios.',
    numberOfImplementations: 4,
  },
]

export const implementations: Implementation[] = [
  // pattern 1
  {
    id: '1',
    patternId: '1',
    title: 'Microservicio 1 patron 1',
    description: 'Im an amazing microservice',
    creationDate: 1708273884329,
  },
  {
    id: '2',
    patternId: '1',
    title: 'Microservicio 2 patron 1',
    description: 'Im an amazing microservice',
    creationDate: 1708273884329,
  },
  {
    id: '3',
    patternId: '1',
    title: 'Microservicio 3 patron 1',
    description: 'Im an amazing microservice',
    creationDate: 1708273884329,
  },
  {
    id: '4',
    patternId: '1',
    title: 'Microservicio 4 patron 1',
    description: 'Im an amazing microservice',
    creationDate: 1708273884329,
  },
  // pattern 2
  {
    id: '5',
    patternId: '2',
    title: 'Microservicio 1 patron 2',
    description: 'Im an amazing microservice',
    creationDate: 1708273884329,
  },
  {
    id: '6',
    patternId: '2',
    title: 'Microservicio 2 patron 2',
    description: 'Im an amazing microservice',
    creationDate: 1708273884329,
  },
  {
    id: '7',
    patternId: '2',
    title: 'Microservicio 3 patron 2',
    description: 'Im an amazing microservice',
    creationDate: 1708273884329,
  },
  {
    id: '8',
    patternId: '2',
    title: 'Microservicio 4 patron 2',
    description: 'Im an amazing microservice',
    creationDate: 1708273884329,
  },
  {
    id: '9',
    patternId: '2',
    title: 'Microservicio 5 patron 2',
    description: 'Im an amazing microservice',
    creationDate: 1708273884329,
  },
  // pattern 3
  {
    id: '10',
    patternId: '3',
    title: 'Microservicio 1 patron 3',
    description: 'Im an amazing microservice',
    creationDate: 1708273884329,
  },
  {
    id: '11',
    patternId: '3',
    title: 'Microservicio 2 patron 3',
    description: 'Im an amazing microservice',
    creationDate: 1708273884329,
  },
  {
    id: '12',
    patternId: '3',
    title: 'Microservicio 3 patron 3',
    description: 'Im an amazing microservice',
    creationDate: 1708273884329,
  },
  {
    id: '14',
    patternId: '3',
    title: 'Microservicio 4 patron 3',
    description: 'Im an amazing microservice',
    creationDate: 1708273884329,
  },
  {
    id: '15',
    patternId: '3',
    title: 'Microservicio 5 patron 3',
    description: 'Im an amazing microservice',
    creationDate: 1708273884329,
  },
]

export const animations: Implementation[] = [
  // pattern 1
  {
    id: '1',
    patternId: '1',
    title: 'Animacion 1 patron 1',
    description: 'Im an amazing animation',
    creationDate: 1708273884329,
  },
  {
    id: '2',
    patternId: '1',
    title: 'Animacion 2 patron 1',
    description: 'Im an amazing microservice',
    creationDate: 1708273884329,
  },
  {
    id: '3',
    patternId: '1',
    title: 'Animacion 3 patron 1',
    description: 'Im an amazing animation',
    creationDate: 1708273884329,
  },
  {
    id: '4',
    patternId: '1',
    title: 'Animacion 4 patron 1',
    description: 'Im an amazing animation',
    creationDate: 1708273884329,
  },
  // pattern 2
  {
    id: '5',
    patternId: '2',
    title: 'Animacion 1 patron 2',
    description: 'Im an amazing animation',
    creationDate: 1708273884329,
  },
  {
    id: '6',
    patternId: '2',
    title: 'Animacion 2 patron 2',
    description: 'Im an amazing animation',
    creationDate: 1708273884329,
  },
  {
    id: '7',
    patternId: '2',
    title: 'Animacion 3 patron 2',
    description: 'Im an amazing animation',
    creationDate: 1708273884329,
  },
  {
    id: '8',
    patternId: '2',
    title: 'Animacion 4 patron 2',
    description: 'Im an amazing animation',
    creationDate: 1708273884329,
  },
  {
    id: '9',
    patternId: '2',
    title: 'Animacion 5 patron 2',
    description: 'Im an amazing animation',
    creationDate: 1708273884329,
  },
  // pattern 3
  {
    id: '10',
    patternId: '3',
    title: 'Animacion 1 patron 3',
    description: 'Im an amazing animation',
    creationDate: 1708273884329,
  },
  {
    id: '11',
    patternId: '3',
    title: 'Animacion 2 patron 3',
    description: 'Im an amazing animation',
    creationDate: 1708273884329,
  },
  {
    id: '12',
    patternId: '3',
    title: 'Animacion 3 patron 3',
    description: 'Im an amazing animation',
    creationDate: 1708273884329,
  },
  {
    id: '14',
    patternId: '3',
    title: 'Animacion 4 patron 3',
    description: 'Im an amazing animation',
    creationDate: 1708273884329,
  },
  {
    id: '15',
    patternId: '3',
    title: 'Animacion 5 patron 3',
    description: 'Im an amazing animation',
    creationDate: 1708273884329,
  },
]
